Skip to content

Get 'Invoicerow'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/accounting/invoices/invoicerow/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/accounting/invoices/invoicerow/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
titlestring, <= 255 charactersrequired
vatinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Vat 0

  • 6 - Vat 6

  • 12 - Vat 12

  • 25 - Vat 25

Enum:061225
period_endstring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: period_start

period_startstring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: period_end

unit_amountnumber, (float)required
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

used_article_accountinteger, (int32), [ 1000 .. 99999999 ]required
unit_pricenumber, (float)required
invoiceobject(Invoice)required
articleobject or null(Article)
rot_rut_work_valuenumber, (float)
rot_kindinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Rot Kind Construction

  • 1 - Rot Kind Electric

  • 2 - Rot Kind Glas Metal

  • 3 - Rot Kind Ground Draining

  • 4 - Rot Kind Wall

  • 5 - Rot Kind Paint

  • 6 - Rot Kind Plumbing

Enum:0123456
organizationobject or null(Organization)
display_orderinteger or null, (int32), [ -2147483648 .. 2147483647 ]
originates_from_object_idstring or null, (uuid)

Additional Validation Information:

This value must be set together with the following fields: originates_from_content_type

accounted_end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: accounted_start_date

This value must be set together with the following fields: accounted_start_date

unitstring or null, <= 255 characters
custom_idstring or null, <= 128 characters
accounted_start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: accounted_end_date

This value must be set together with the following fields: accounted_end_date

originates_from_content_typeobject or null(Contenttype)

Additional Validation Information:

This value must be set together with the following fields: originates_from_object_id

dimensionsArray of any or null
rot_rut_work_hoursinteger, (int32), <= 2147483647
created_atstring, (date-time)read-only
rut_kindinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Rut Kind Cleaning

  • 1 - Rut Kind Clothes

  • 2 - Rut Kind Snow

  • 3 - Rut Kind Garden

  • 4 - Rut Kind Children

  • 5 - Rut Kind Care

  • 6 - Rut Kind Moving

  • 7 - Rut Kind It

  • 8 - Rut Kind Reparation

  • 9 - Rut Kind Furniture

  • 10 - Rut Kind Control

  • 11 - Rut Kind Transport

  • 12 - Rut Kind Washing Setup

Enum:0123456789
rot_rut_material_valuenumber, (float)
Response
{ "title": "string", "vat": 0, "article": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "rot_rut_work_value": 0.1, "rot_kind": 0, "period_end": "2019-08-24", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "period_start": "2019-08-24", "display_order": -2147483648, "originates_from_object_id": "38c62b3a-0e8c-45fc-8177-89a1e595e218", "accounted_end_date": "2019-08-24", "unit": "string", "custom_id": "string", "unit_amount": 0.1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "used_article_account": 1000, "accounted_start_date": "2019-08-24", "unit_price": 0.1, "originates_from_content_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "dimensions": [ null ], "rot_rut_work_hours": 2147483647, "invoice": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "created_at": "2019-08-24T14:15:22Z", "rut_kind": 0, "rot_rut_material_value": 0.1 }